## task-spooler 0.7.5

=== Makefile ===
PREFIX?=/usr/local
GLIBCFLAGS=-D_XOPEN_SOURCE=500 -D__STRICT_ANSI__
CFLAGS=-pedantic -ansi -Wall -g -O0
OBJECTS=main.o \
	server.o \
	server_start.o \
	client.o \
	msgdump.o \
	jobs.o \
	execute.o \
	msg.o \
	mail.o \
	error.o \
	signals.o \
	list.o \
	print.o \
	info.o \
	env.o \
	tail.o
INSTALL=install -c

all: ts

tsretry: tsretry.c

ts: $(OBJECTS)
	$(CC) $(LDFLAGS) -o ts $^

# Test our 'tail' implementation.
ttail: tail.o ttail.o
	$(CC) $(LDFLAGS) -o ttail $^


.c.o:
	$(CC) $(CFLAGS) $(GLIBCFLAGS) -c $<

# Dependencies
main.o: main.c main.h
server_start.o: server_start.c main.h
server.o: server.c main.h
client.o: client.c main.h
msgdump.o: msgdump.c main.h
jobs.o: jobs.c main.h
execute.o: execute.c main.h
msg.o: msg.c main.h
mail.o: mail.c main.h
error.o: error.c main.h
signals.o: signals.c main.h
list.o: list.c main.h
tail.o: tail.c main.h
ttail.o: ttail.c main.h

clean:
	rm -f *.o ts

install: ts
	$(INSTALL) -d $(PREFIX)/bin
	$(INSTALL) ts $(PREFIX)/bin
	$(INSTALL) -d $(PREFIX)/share/man/man1
	$(INSTALL) -m 644 ts.1 $(PREFIX)/share/man/man1

## task-spooler 0.7.3

=== debian/changelog ===
task-spooler (0.7.3-1) unstable; urgency=low

  * Initial release (closes: #466542).

 -- Alexander Inyukhin <shurick@sectorb.msk.ru>  Sun, 27 May 2012 11:32:50 +0400

=== debian/control ===
Source: task-spooler
Section: misc
Priority: optional
Maintainer: Alexander Inyukhin <shurick@sectorb.msk.ru>
Build-Depends: debhelper (>= 9~)
Standards-Version: 3.9.3
Homepage: http://vicerveza.homeunix.net/~viric/soft/ts/
Vcs-Git: git://git.debian.org/collab-maint/task-spooler.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/task-spooler.git;a=summary

Package: task-spooler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: personal job scheduler
 Task spooler is a Unix batch system where the tasks spooled run one
 after the other. Each user in each system has his own job queue. The tasks are
 run in the correct context (that of enqueue) from any shell/process, and its
 output/results can be easily watched. It is very useful when you know that
 your commands depend on a lot of RAM, a lot of disk use, give a lot of
 output, or for whatever reason it's better not to run them at the same time.

## task-spooler 0.7.4

=== debian/changelog ===
task-spooler (0.7.4-1) unstable; urgency=low

  * Use canonical VCS-fields
  * Imported Upstream version 0.7.4
  * Bump Standards-Version to 3.9.5 (no changes)

 -- Alexander Inyukhin <shurick@sectorb.msk.ru>  Sun, 08 Dec 2013 02:26:42 +0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Alexander Inyukhin <shurick@sectorb.msk.ru>
 Build-Depends: debhelper (>= 9~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://vicerveza.homeunix.net/~viric/soft/ts/
-Vcs-Git: git://git.debian.org/collab-maint/task-spooler.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/task-spooler.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/task-spooler.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/task-spooler.git;a=summary
 
 Package: task-spooler
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	make install PREFIX=debian/task-spooler/usr

=== debian/watch ===
version=3
http://vicerveza.homeunix.net/~viric/soft/ts/ ts-(.*).tar.gz

## task-spooler 0.7.5

=== debian/changelog ===
task-spooler (0.7.5-1) unstable; urgency=medium

  * Imported Upstream version 0.7.5
  * Bump Standards-Version to 3.9.6 (no changes)
  * Escape dots in watchfile regex
  * Use new URL for Vcs-Browser
  * Remove useless docs from package
  * Fix typo in cppflags.patch
  * Enable all hardening options
  * Update copyright file
    - Set upstream license to GPL2
    - Change upstream contact
    - Update copyright years
    - Add missing license for man page
  * Add modification notice to man page

 -- Alexander Inyukhin <shurick@sectorb.msk.ru>  Sat, 02 May 2015 23:13:49 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Alexander Inyukhin <shurick@sectorb.msk.ru>
 Build-Depends: debhelper (>= 9~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://vicerveza.homeunix.net/~viric/soft/ts/
 Vcs-Git: git://anonscm.debian.org/collab-maint/task-spooler.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/task-spooler.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/task-spooler.git/
 
 Package: task-spooler
 Architecture: any

=== debian/watch ===
version=3
http://vicerveza.homeunix.net/~viric/soft/ts/ ts-(.*)\.tar\.gz

## task-spooler 0.7.6

=== debian/changelog ===
task-spooler (0.7.6-1) unstable; urgency=medium

  * Imported Upstream version 0.7.6
  * Update patches
  * Bump standards version to 3.9.7
  * Use https for VCS-* fields
  * Fix typo as suggested by lintian
  * Update copyright years
  * Add explicit version number to GPL2
  * Use git instead of cgit in VCS-* fields
  * Forward patches upstream and update headers

 -- Alexander Inyukhin <shurick@sectorb.msk.ru>  Sun, 20 Mar 2016 11:52:24 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Alexander Inyukhin <shurick@sectorb.msk.ru>
 Build-Depends: debhelper (>= 9~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://vicerveza.homeunix.net/~viric/soft/ts/
-Vcs-Git: git://anonscm.debian.org/collab-maint/task-spooler.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/task-spooler.git/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/task-spooler.git/
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/task-spooler.git/
 
 Package: task-spooler
 Architecture: any

## task-spooler 1.0

=== debian/changelog ===
task-spooler (1.0-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Update homepage
  * Bump standards version to 3.9.8 (no changes)

 -- Alexander Inyukhin <shurick@sectorb.msk.ru>  Fri, 21 Oct 2016 16:23:05 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Alexander Inyukhin <shurick@sectorb.msk.ru>
 Build-Depends: debhelper (>= 9~)
-Standards-Version: 3.9.7
-Homepage: http://vicerveza.homeunix.net/~viric/soft/ts/
+Standards-Version: 3.9.8
+Homepage: http://viric.name/soft/ts/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/task-spooler.git/
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/task-spooler.git/

=== debian/watch ===
version=3
http://viric.name/soft/ts/ ts-(.*)\.tar\.gz

## task-spooler 1.0+dfsg1

=== debian/changelog ===
task-spooler (1.0+dfsg1-1) unstable; urgency=medium

  * Update Vcs-Git and Vcs-Browser fields in debian/control.
  * Use https for copyright-format
  * Add upstream metadata file
  * Fix buffer overflow (closes: #975321)
  * Update to standards version 4.5.0
  * Exclude copyrighted material and unneeded files
  * Upgrade watch file to version 4 and repack source
  * New upstream version 1.0+dfsg1
  * Use debhelper v13

 -- Alexander Inyukhin <shurick@sectorb.msk.ru>  Sun, 22 Nov 2020 10:31:41 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Alexander Inyukhin <shurick@sectorb.msk.ru>
-Build-Depends: debhelper (>= 9~)
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Homepage: http://viric.name/soft/ts/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/task-spooler.git/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/task-spooler.git/
+Vcs-Git: https://salsa.debian.org/debian/task-spooler/
+Vcs-Browser: https://salsa.debian.org/debian/task-spooler/
+Rules-Requires-Root: no
 
 Package: task-spooler
 Architecture: any

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg1" \
http://viric.name/soft/ts/ ts-(.*)\.tar\.gz

## task-spooler 1.0.1%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Alexander Inyukhin <shurick@sectorb.msk.ru>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
-Homepage: http://viric.name/soft/ts/
+Standards-Version: 4.5.1
+Homepage: https://viric.name/soft/ts/
 Vcs-Git: https://salsa.debian.org/debian/task-spooler/
 Vcs-Browser: https://salsa.debian.org/debian/task-spooler/
 Rules-Requires-Root: no

## task-spooler 1.0.1+dfsg1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 PREFIX?=/usr/local
 GLIBCFLAGS=-D_XOPEN_SOURCE=500 -D__STRICT_ANSI__
-CFLAGS=-pedantic -ansi -Wall -g -O0
+CPPFLAGS+=$(GLIBCFLAGS)
+CFLAGS?=-pedantic -ansi -Wall -g -O0
 OBJECTS=main.o \
 	server.o \
 	server_start.o \
@@ -32,7 +33,7 @@
 
 
 .c.o:
-	$(CC) $(CFLAGS) $(GLIBCFLAGS) -c $<
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<
 
 # Dependencies
 main.o: main.c main.h

=== debian/changelog ===
task-spooler (1.0.1+dfsg1-1) unstable; urgency=medium

  * Change http to https in urls
  * New upstream version 1.0.1+dfsg1
  * Drop applied patch
  * Refresh ts to tsp renaming patch (Closes: #905902)
  * Minor man page fixes
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Alexander Inyukhin <shurick@sectorb.msk.ru>  Sun, 20 Dec 2020 23:07:31 +0300

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg1" \
https://viric.name/soft/ts/ ts-(.*)\.tar\.gz

## task-spooler 1.0.3%2Bdfsg1

=== debian/changelog ===
task-spooler (1.0.3+dfsg1-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 09 Feb 2026 23:50:40 +0100

task-spooler (1.0.3+dfsg1-2) unstable; urgency=medium

  * Fix for GCC-15 (closes: #1097971)
  * Fix lintian warning about manpage
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Alexander Inyukhin <shurick@sectorb.msk.ru>  Sat, 06 Sep 2025 13:30:07 +0300

task-spooler (1.0.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.0.3+dfsg1
  * Refresh patch
  * Use canonical URL in Vcs-Git.
  * Bump Standards-Version to 4.7.0 (no changes)
  * Update copyright years
  * Do not set repack count
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Replace deprecated contact metadata field with bug-submit

 -- Alexander Inyukhin <shurick@sectorb.msk.ru>  Tue, 16 Jul 2024 01:43:52 +0300

## task-spooler 1.0.3+dfsg1

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Alexander Inyukhin <shurick@sectorb.msk.ru>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://viric.name/soft/ts/
-Vcs-Git: https://salsa.debian.org/debian/task-spooler/
+Vcs-Git: https://salsa.debian.org/debian/task-spooler.git
 Vcs-Browser: https://salsa.debian.org/debian/task-spooler/
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg" \
https://viric.name/soft/ts/ ts-(.*)\.tar\.gz
